'''
Created on Mar-06-2024

@author: bthakur
'''

import os
import codecs
import inspect
import traceback
import random

from xv.util import UtilClass



# _general_helper
# GeneralHelper


class GeneralHelper(UtilClass):
    
    def __init__(self, **kwargs):
        super().__init__(**kwargs)

        self._transform_helper = None
        
        self._kwargs = kwargs
        pass

            

    def get_transform_helper(self):
        if self._transform_helper is None:
            self._init_transform_helper(**self._kwargs)
        return self._transform_helper
        pass

    def _init_transform_helper(self, **kwargs):  
        from ._transform_helper import TransformHelper
        self._transform_helper = TransformHelper(**kwargs) 
        pass

   
    pass
#class GeneralHelper:
